Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Hadoop >> mail # dev >> ivy failed to resolve dependencies?


Copy link to this message
-
Re: ivy failed to resolve dependencies?
I checked the library.properties file, the version of my commons-logging is
1.1.1,

I'm still trapped at that point...

Nan

On Tue, Nov 2, 2010 at 1:16 PM, Konstantin Boudnik <[EMAIL PROTECTED]> wrote:

> Your issue is likely to be caused by commons-logging 1.1.2 - they have a
> corrupted pom file, I believe. Downgrade the version to 1.1.1 and
> everything
> should be fine.
>
> On Tue, Nov 02, 2010 at 11:56AM, Nan Zhu wrote:
> > Hi, Bharath
> >
> > Thank you for the reply
> >
> > I removed the entire cache of ivy and change the library.properties file,
> > the error is still there,
> >
> > why I run it smoothly in the last several months but it crashes
> suddenly????
> >
> > Thank you
> >
> > Nan
> >
> > On Tue, Nov 2, 2010 at 11:29 AM, bharath v <
> > [EMAIL PROTECTED]> wrote:
> >
> > > Hi Nan,
> > >
> > >
> > > There was a discussion on the same topic ..2 days ago ...
> > >
> > > See
> > >
> > >
> http://mail-archives.apache.org/mod_mbox/hadoop-common-user/201010.mbox/%3C20101031190103.GB31735@tp%3E
> > >
> > > Try changing ivy version in library.properties file to ivy-2.2.0 and
> > > it worked for me . If you are behind a proxy , then it might create
> > > these problems (as said by steve). You can try this ..
> > >
> > > Thanks
> > >
> > > Bharath.V
> > > 4th year undergraduate,
> > > IIIT Hyderabad.
> > >
> > > On Tue, Nov 2, 2010 at 8:47 AM, Nan Zhu <[EMAIL PROTECTED]> wrote:
> > > > Hi, all
> > > >
> > > > I'm trapping in a strange problem in this evening,
> > > >
> > > > I have been working on hadoop for several months, including modify
> the
> > > > source code and re-compile it, I have never met any problem, but when
> I
> > > > re-compile the hadoop this evening, it shows that the ivy cannot
> resolve
> > > the
> > > > dependencies, the messages are following:
> > > >
> > > > [ivy:resolve] :: problems summary ::
> > > >  [ivy:resolve] :::: WARNINGS
> > > >  [ivy:resolve]         [FAILED     ] javax.jms#jms;1.1!jms.jar:
>  (0ms)
> > > >  [ivy:resolve]     ==== apache-snapshot: tried
> > > >  [ivy:resolve]
> > > >
> > >
> https://repository.apache.org/content/repositories/snapshots/javax/jms/jms/1.1/jms-1.1.jar
> > > >  [ivy:resolve]     ==== maven2: tried
> > > >  [ivy:resolve]
> > > > http://repo1.maven.org/maven2/javax/jms/jms/1.1/jms-1.1.jar
> > > >  [ivy:resolve]         [FAILED     ]
> > > > com.sun.jdmk#jmxtools;1.2.1!jmxtools.jar:  (0ms)
> > > >  [ivy:resolve]     ==== apache-snapshot: tried
> > > >  [ivy:resolve]
> > > >
> > >
> https://repository.apache.org/content/repositories/snapshots/com/sun/jdmk/jmxtools/1.2.1/jmxtools-1.2.1.jar
> > > >  [ivy:resolve]     ==== maven2: tried
> > > >  [ivy:resolve]
> > > >
> > >
> http://repo1.maven.org/maven2/com/sun/jdmk/jmxtools/1.2.1/jmxtools-1.2.1.jar
> > > >  [ivy:resolve]         [FAILED     ]
> com.sun.jmx#jmxri;1.2.1!jmxri.jar:
> > > > (0ms)
> > > >  [ivy:resolve]     ==== apache-snapshot: tried
> > > >  [ivy:resolve]
> > > >
> > >
> https://repository.apache.org/content/repositories/snapshots/com/sun/jmx/jmxri/1.2.1/jmxri-1.2.1.jar
> > > >  [ivy:resolve]     ==== maven2: tried
> > > >  [ivy:resolve]
> > > >
> http://repo1.maven.org/maven2/com/sun/jmx/jmxri/1.2.1/jmxri-1.2.1.jar
> > > >  [ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
> > > >  [ivy:resolve]         ::              FAILED DOWNLOADS            ::
> > > >  [ivy:resolve]         :: ^ see resolution messages for details  ^ ::
> > > >  [ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
> > > >  [ivy:resolve]         :: javax.jms#jms;1.1!jms.jar
> > > >  [ivy:resolve]         :: com.sun.jdmk#jmxtools;1.2.1!jmxtools.jar
> > > >  [ivy:resolve]         :: com.sun.jmx#jmxri;1.2.1!jmxri.jar
> > > >  [ivy:resolve]         ::::::::::::::::::::::::::::::::::::::::::::::
> > > >
> > > >
> > > > I don't know why it happens and how to solve it, anyone can give some
> > > ideas?
> > > > thank you
> > > >
> > > > Nan
> > > >
> > >
>
> -----BEGIN PGP SIGNATURE--
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB